# User

## Module webhooks

* [`user.user.approved`](#user.user.approved)

{% tabs %}
{% tab title="Payload Format" %}

| Name                |    Type   | Description                                |
| ------------------- | :-------: | ------------------------------------------ |
| **id**              |   String  | User id. Format: UUID.                     |
| **email**           |   String  | User email. Format: Email.                 |
| **primaryWalletId** |   String  | User primary wallet id. Format: UUID.      |
| **roles**           | String\[] | User roles. Example: User, Operative, etc. |
| **phone**           |   String  | User phone number. Format: Phone number.   |
| **name**            |   String  | User name.                                 |
| **approved**        |  Boolean  | User approved status.                      |
| **blocked**         |  Boolean  | User blocked status.                       |
| **referralCode**    |   String  | Referral code.                             |
| **referralUserId**  |   String  | User id from referral code. Format: UUID.  |
| **locale**          |   String  | Locale.                                    |
| **metadata**        |   Object  | Metadata.                                  |
| **externalUserId**  |   String  | User external id. Format: UUID.            |
| {% endtab %}        |           |                                            |

{% tab title="Payload example" %}

```javascript
{
  "id": "4dd660ad-6009-486d-adaa-85f65d2d4e5b",
  "email": "foobar@qux.com",
  "primaryWalletId": "2c20cf22-2928-4b69-b9c5-b3f4d3559cff",
  "createdAt": "2024-10-28T12:01:13.626Z",
  "updatedAt": "2024-10-28T12:01:14.361Z",
  "roles": [ "user" ],
  "phone": null,
  "name": null,
  "approved": true,
  "blocked": false,
  "customData": {},
  "imageMetadata": {},
  "referralCode": "RKZM4G5NE5N",
  "referralUserId": null,
  "locale": "en-us",
  "metadata": {
    "verifiedEmail": false,
    "verifiedPhone": false,
    "definedPassword": true
  },
  "externalId": null
}
```

{% endtab %}
{% endtabs %}

### `user.user.approved`

Approval of a `user` webhook event.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.slyk.io/slyk/reference/webhooks/user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
